using System;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Usage
{
    public class Rule2214
    {
        private string name = "Rule2214";

        // このコンストラクタは CA2214 に違反しています。
        public Rule2214()
        {
            Initialize();
        }

        protected virtual void Initialize()
        {
            this.name = "Initialize";
        }

        public override string ToString()
        {
            return this.name;
        }
    }
}
